CVE-2005-0084
CVSS7.5
发布时间 :2005-05-02 00:00:00
修订时间 :2010-08-21 00:25:27
NMCOP    

[原文]Buffer overflow in the X11 dissector in Ethereal 0.8.10 through 0.10.8 allows remote attackers to execute arbitrary code via a crafted packet.


[CNNVD]Ethereal未明分析器漏洞(CNNVD-200505-207)

        Ethereal 0.8.10至0.10.8的X11分析器中存在缓冲区溢出漏洞,允许远程攻击者通过精心编制的数据包来执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:ethereal_group:ethereal:0.10.8
cpe:/a:ethereal_group:ethereal:0.9.8
cpe:/a:ethereal_group:ethereal:0.9.11
cpe:/a:ethereal_group:ethereal:0.9
cpe:/a:ethereal_group:ethereal:0.9.16
cpe:/a:ethereal_group:ethereal:0.9.2
cpe:/a:ethereal_group:ethereal:0.9.4
cpe:/a:ethereal_group:ethereal:0.9.5
cpe:/a:ethereal_group:ethereal:0.8.14
cpe:/a:ethereal_group:ethereal:0.10.1
cpe:/a:ethereal_group:ethereal:0.9.12
cpe:/a:ethereal_group:ethereal:0.10.7
cpe:/a:ethereal_group:ethereal:0.10.2
cpe:/a:ethereal_group:ethereal:0.8
cpe:/a:ethereal_group:ethereal:0.9.15
cpe:/a:ethereal_group:ethereal:0.9.0
cpe:/a:ethereal_group:ethereal:0.9.3
cpe:/a:ethereal_group:ethereal:0.10.0
cpe:/a:ethereal_group:ethereal:0.10.4
cpe:/a:ethereal_group:ethereal:0.8.15
cpe:/a:ethereal_group:ethereal:0.10.5
cpe:/a:ethereal_group:ethereal:0.10.3
cpe:/a:ethereal_group:ethereal:0.9.7
cpe:/a:ethereal_group:ethereal:0.9.9
cpe:/a:ethereal_group:ethereal:0.9.14
cpe:/a:ethereal_group:ethereal:0.8.20
cpe:/a:ethereal_group:ethereal:0.9.10
cpe:/a:ethereal_group:ethereal:0.10.6
cpe:/a:ethereal_group:ethereal:0.8.17a
cpe:/a:ethereal_group:ethereal:0.9.13
cpe:/a:ethereal_group:ethereal:0.8.16
cpe:/a:ethereal_group:ethereal:0.8.18
cpe:/a:ethereal_group:ethereal:0.8.13
cpe:/a:ethereal_group:ethereal:0.9.1
cpe:/a:ethereal_group:ethereal:0.8.19
cpe:/a:ethereal_group:ethereal:0.9.6
cpe:/a:ethereal_group:ethereal:0.10.0a
cpe:/a:ethereal_group:ethereal:0.10

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:9140Ethereal 0.9.0 through 0.10.7 allows remote attackers to cause a denial of service (CPU consumption) via a certain malformed SMB packet.
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0084
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0084
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-207
(官方数据源) CNNVD

- 其它链接及资源

http://www.gentoo.org/security/en/glsa/glsa-200501-27.xml
(VENDOR_ADVISORY)  GENTOO  GLSA-200501-27
http://www.debian.org/security/2005/dsa-653
(PATCH)  DEBIAN  DSA-653
http://secunia.com/advisories/13946/
(PATCH)  SECUNIA  13946
http://xforce.iss.net/xforce/xfdb/19004
(UNKNOWN)  XF  ethereal-x11-bo(19004)
http://www.redhat.com/support/errata/RHSA-2005-037.html
(UNKNOWN)  REDHAT  RHSA-2005:037
http://www.ethereal.com/appnotes/enpa-sa-00017.html
(UNKNOWN)  CONFIRM  http://www.ethereal.com/appnotes/enpa-sa-00017.html
http://www.ciac.org/ciac/bulletins/p-106.shtml
(UNKNOWN)  CIAC  P-106
http://www.securityfocus.com/bid/12326
(UNKNOWN)  BID  12326
http://www.redhat.com/archives/fedora-legacy-announce/2006-January/msg00003.html
(UNKNOWN)  FEDORA  FLSA-2006:152922
http://www.mandriva.com/security/advisories?name=MDKSA-2005:013
(UNKNOWN)  MANDRAKE  MDKSA-2005:013

- 漏洞信息

Ethereal未明分析器漏洞
高危 缓冲区溢出
2005-05-02 00:00:00 2005-10-20 00:00:00
远程  
        Ethereal 0.8.10至0.10.8的X11分析器中存在缓冲区溢出漏洞,允许远程攻击者通过精心编制的数据包来执行任意代码。

- 公告与补丁

        暂无数据

- 漏洞信息 (F35836)

ethereal-0.10.9.tar.gz (PacketStormID:F35836)
2005-01-22 00:00:00
Gerald Combs  ethereal.com
tool,sniffer,protocol
unix
CVE-2005-0006,CVE-2005-0007,CVE-2005-0008,CVE-2005-0009,CVE-2005-0010,CVE-2005-0084
[点击下载]

Ethereal is a GTK+-based network protocol analyzer, or sniffer, that lets you capture and interactively browse the contents of network frames. The goal of the project is to create a commercial-quality analyzer for Unix and to give Ethereal features that are missing from closed-source sniffers. Screenshot available here.

- 漏洞信息

13113
Ethereal X11 Protocol Dissector Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown Vendor Verified

- 漏洞描述

A remote overflow exists in Ethereal. The X11 protocol dissector fails to validate some unspecified strings resulting in a buffer overflow. With a specially crafted request, an attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2005-01-20 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.10.9 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站